org.apache.coyote.http11

## Class InternalInputBuffer.InputStreamInputBuffer

- java.lang.Object
- - org.apache.coyote.http11.InternalInputBuffer.InputStreamInputBuffer

All Implemented Interfaces:
  InputBuffer

Enclosing class:
  InternalInputBuffer

    protected class InternalInputBuffer.InputStreamInputBuffer
    extends Object
    implements InputBuffer

This class is an input buffer which will read its data from an input stream.

### Constructor Summary

Constructors
`protected` `InternalInputBuffer.InputStreamInputBuffer()`

### Method Summary

Methods
`int` `doRead(ByteChunk chunk, Request req)` Read bytes into the specified chunk.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InternalInputBuffer.InputStreamInputBuffer

    protected InternalInputBuffer.InputStreamInputBuffer()

### Method Detail

#### doRead

    public int doRead(ByteChunk chunk,
             Request req)
               throws IOException

Read bytes into the specified chunk.

Specified by:
  `doRead` in interface `InputBuffer`
Throws:
  `IOException`